#!/usr/bin/python

import MySQLdb as mysql
import os

# open file for logging removed terms
f = open("removed_terms_log.txt","w")
s = open("strange_terms_log.txt","w")
# piesledzamies mysql
db_connection = mysql.connect(user="root",passwd="LeduSUpE", db="termini")
db_connection_cursor = db_connection.cursor()
db_connection_cursor.execute('select * from terms_bindings where binding_source_id=2')
bindings = db_connection_cursor.fetchall()
for binding in bindings:
	# first, get how much bindings are there with these 
	first_term_id = binding[1]
	second_term_id = binding[2]
	values = (first_term_id, second_term_id)
	#Query = "select * from terms_bindings where first_term_id=" + first_term_id + " and second_term_id=" + second_term_id
	db_connection_cursor.execute("select * from terms_bindings where first_term_id=%s and second_term_id=%s", values)
	terms_bindings = db_connection_cursor.fetchall()
	# check if there is another bindings with this term
	if(len(terms_bindings) == 1):
		# if it's only one, proceed to remove it
		values = (first_term_id,)
		db_connection_cursor.execute('select * from terms where term_id=%s', values)
		term = db_connection_cursor.fetchone()
		if(term != None):
			word = term[1]
			# split it
			word_splitted = word.split()
		elif(term == None):
			word_splitted = []
		if(len(word_splitted) > 2 and term != None):
			# remove term
			db_connection_cursor.execute('delete from terms where term_id=%s', values)
			db_connection.commit()
			# remove binding
			db_connection_cursor.execute('delete from terms_bindings where first_term_id=%s', values)
			db_connection.commit()
			# dump term id into file so we can check it later
			f.write(str(first_term_id) + " " + word + "\n")
		elif(term == None):
			# remove only binding, which is strange leftover
			db_connection_cursor.execute('delete from terms_bindings where first_term_id=%s', values)
			db_connection.commit()
			s.write(str(first_term_id) + "\n")
		# if two words or less, keep it
	# if more than one binding, keep it
f.close()
s.close()
db_connection.close()
