# -*- coding: utf-8 -*-
from django.conf.urls.defaults import *
import settings

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

# Next line is to allow have media shared on development test server during 'runserver'
# edit settings.py variable STATIC_DOC_ROOT to set your /wordy_root/wordy_media directory,
# e.t. STATIC_DOC_ROOT = '/Documents/wordy/wordy_media'
from django.conf import settings

urlpatterns = patterns('',
    # Example:
    # (r'^wordy/', include('wordy.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs'
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
	(r'^admin/(.*)', admin.site.root),
    (r'^main/', include('wordy.wordy_user.urls')),
	# Uncomment the next line when doing 'runserver' - see comment above
	(r'^wordy_media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': settings.STATIC_DOC_ROOT})
)
