
function checkAll(queryString, status) {

    $(queryString).each(function(){
        this.checked = status;
    });
}

function checkInverse(queryString) {
    $(queryString).each(function(){
        if(this.checked==1)
            this.checked=0;
        else if(this.checked==0)
            this.checked=1;
    });
}


$(document).ready(function(){
    $('.confirmButton').live("click", confirmActionButton);
    $('.confirmLink').live("click", confirmActionLink);


    $("#AjaxErrorBar").ajaxError(function(event, request, settings){
        reportError("Kļūda veicot pieprasījumu " + settings.url);
    });
});


function reportError(message)
{
    $("#AjaxErrorBar")[0].innerHTML += "<a>"+message + "</a><br/>";
}

function confirmActionButton()
{
    return confirm(this.getAttribute('msg'));
}

function confirmActionLink()
{
    if(confirm(this.getAttribute('msg'))) document.location.href=this.getAttribute('link');
    return false;
}


function formatTagAutocomplete(row) {
    if (row[1] == -1)
    {
        return "<a style='color:red;'>"+row[0]+"<\/a>";
    }
    else return row[0];
}

function formatWordAutocomplete(row) {
    return "<b>(" + row[1] + ")<\/b> " + row[0];
}



function loadExtraPart(url, container, animateOpen){
    $(container + " > *")[0].innerHTML = "<img src='/wordy_media/ajax-loader.gif'/>";
    $.get(url, function(data){$(container + " > *")[0].innerHTML = data;});
    if (animateOpen == 1)
        $(container).slideToggle();
    else if (animateOpen == 0)
        $(container).toggle();
}


function ajaxSave(url, form, baseName ,id)
{
    try
    {
        
    editName = "#"+baseName + "_"+id+"_editPart";
    valueName = "#"+baseName + "_"+id+"_displayPart";

    outerObj = $(editName);
    contentObj = $(editName + " > *");
    valueObj = $(valueName);

    params={ajax:'True', objectId:id};
    
    for(i=0; i<form.elements.length; i++)
    {
        element = form.elements[i];
        if (element.name != "")
        if (element.type =="checkbox")
        {
            if (element.checked)
                params[element.name] = 1
        }
        else {
            params[element.name] = element.value
        }
    }

    if (valueObj.size() == 0)
    {
        valueObj = outerObj
        valueObj.innerHTML = "<img src='/wordy_media/ajax-loader.gif'/>"
    }
    else
    {
        valueObj.innerHTML += "<img src='/wordy_media/ajax-loader.gif'/>"
        outerObj.hide();
    }
    
    $.post(url, params, function(data){valueObj[0].innerHTML = data;});

    }
    catch(err)
    {
        reportError(err.description);
    }
}

